import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

    public static boolean debug = false;

    @Test
    public void test01() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test01");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        // The following exception was thrown during execution in test generation
        try {
            java.lang.String str3 = strSet0.first();
            org.junit.Assert.fail("Expected exception of type java.util.NoSuchElementException; message: null");
        } catch (java.util.NoSuchElementException e) {
        // Expected exception.
        }
        org.junit.Assert.assertNotNull(strSet2);
    }

    @Test
    public void test02() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test02");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        boolean boolean6 = strSet0.equals((java.lang.Object) 10);
        java.util.Iterator<java.lang.String> strItor7 = strSet0.descendingIterator();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strItor7);
    }

    @Test
    public void test03() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test03");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        // The following exception was thrown during execution in test generation
        try {
            boolean boolean4 = strSet0.remove((java.lang.Object) 100L);
            org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException; message: java.lang.String cannot be cast to java.lang.Long");
        } catch (java.lang.ClassCastException e) {
        // Expected exception.
        }
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
    }

    @Test
    public void test04() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test04");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.lang.String str6 = strSet2.ceiling("");
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertEquals("'" + str6 + "' != '" + "hi!" + "'", str6, "hi!");
    }

    @Test
    public void test05() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test05");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.util.Collection<java.lang.String> strCollection7 = null;
        // The following exception was thrown during execution in test generation
        try {
            boolean boolean8 = strSet0.addAll(strCollection7);
            org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException; message: null");
        } catch (java.lang.NullPointerException e) {
        // Expected exception.
        }
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
    }

    @Test
    public void test06() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test06");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.util.NavigableSet<java.lang.String> strSet9 = strSet0.subSet("", false, "hi!", true);
        java.util.TreeSet<java.lang.String> strSet10 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet12 = strSet10.headSet("");
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet15 = strSet13.headSet("");
        boolean boolean16 = strSet10.retainAll((java.util.Collection<java.lang.String>) strSet13);
        java.lang.String str17 = strSet13.pollFirst();
        java.lang.String[] strArray21 = new java.lang.String[] { "hi!", "", "" };
        java.lang.String[] strArray22 = strSet13.toArray(strArray21);
        java.io.Serializable[] serializableArray23 = strSet0.toArray((java.io.Serializable[]) strArray21);
        java.lang.Class<?> wildcardClass24 = strSet0.getClass();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertNotNull(strSet12);
        org.junit.Assert.assertNotNull(strSet15);
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNull(str17);
        org.junit.Assert.assertNotNull(strArray21);
        org.junit.Assert.assertNotNull(strArray22);
        org.junit.Assert.assertNotNull(serializableArray23);
        org.junit.Assert.assertNotNull(wildcardClass24);
    }

    @Test
    public void test07() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test07");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.lang.String str7 = strSet0.pollLast();
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNull(str7);
    }

    @Test
    public void test08() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test08");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.NavigableSet<java.lang.String> strSet7 = strSet2.headSet("", false);
        java.util.TreeSet<java.lang.String> strSet8 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet9 = new java.util.TreeSet<java.lang.String>();
        boolean boolean10 = strSet8.removeAll((java.util.Collection<java.lang.String>) strSet9);
        java.lang.String[] strArray12 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>();
        boolean boolean14 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet13, strArray12);
        int int15 = strSet13.size();
        java.util.NavigableSet<java.lang.String> strSet18 = strSet13.headSet("", false);
        java.lang.String str19 = strSet13.last();
        boolean boolean20 = strSet8.retainAll((java.util.Collection<java.lang.String>) strSet13);
        // The following exception was thrown during execution in test generation
        try {
            boolean boolean21 = strSet2.remove((java.lang.Object) boolean20);
            org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException; message: java.lang.String cannot be cast to java.lang.Boolean");
        } catch (java.lang.ClassCastException e) {
        // Expected exception.
        }
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strSet7);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + false + "'", boolean10 == false);
        org.junit.Assert.assertNotNull(strArray12);
        org.junit.Assert.assertTrue("'" + boolean14 + "' != '" + true + "'", boolean14 == true);
        org.junit.Assert.assertTrue("'" + int15 + "' != '" + 1 + "'", int15 == 1);
        org.junit.Assert.assertNotNull(strSet18);
        org.junit.Assert.assertEquals("'" + str19 + "' != '" + "hi!" + "'", str19, "hi!");
        org.junit.Assert.assertTrue("'" + boolean20 + "' != '" + false + "'", boolean20 == false);
    }

    @Test
    public void test09() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test09");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.NavigableSet<java.lang.String> strSet7 = strSet2.headSet("", false);
        java.lang.String str8 = strSet2.first();
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strSet7);
        org.junit.Assert.assertEquals("'" + str8 + "' != '" + "hi!" + "'", str8, "hi!");
    }

    @Test
    public void test10() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test10");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.lang.Object[] objArray5 = strSet0.toArray();
        java.util.NavigableSet<java.lang.String> strSet8 = strSet0.tailSet("", false);
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(objArray5);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray5), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray5), "[hi!]");
        org.junit.Assert.assertNotNull(strSet8);
    }

    @Test
    public void test11() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test11");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet0);
        java.util.Iterator<java.lang.String> strItor2 = strSet0.descendingIterator();
        org.junit.Assert.assertNotNull(strItor2);
    }

    @Test
    public void test12() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test12");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.lang.Object[] objArray5 = strSet0.toArray();
        java.lang.String str6 = strSet0.pollLast();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(objArray5);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray5), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray5), "[hi!]");
        org.junit.Assert.assertEquals("'" + str6 + "' != '" + "hi!" + "'", str6, "hi!");
    }

    @Test
    public void test13() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test13");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.lang.Object[] objArray3 = strSet0.toArray();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(objArray3);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray3), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray3), "[hi!]");
    }

    @Test
    public void test14() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test14");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.lang.String[] strArray4 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet5 = new java.util.TreeSet<java.lang.String>();
        boolean boolean6 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet5, strArray4);
        int int7 = strSet5.size();
        java.util.NavigableSet<java.lang.String> strSet10 = strSet5.headSet("", false);
        java.lang.String str11 = strSet5.last();
        boolean boolean12 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet5);
        java.lang.String str14 = strSet0.lower("");
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strArray4);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + true + "'", boolean6 == true);
        org.junit.Assert.assertTrue("'" + int7 + "' != '" + 1 + "'", int7 == 1);
        org.junit.Assert.assertNotNull(strSet10);
        org.junit.Assert.assertEquals("'" + str11 + "' != '" + "hi!" + "'", str11, "hi!");
        org.junit.Assert.assertTrue("'" + boolean12 + "' != '" + false + "'", boolean12 == false);
        org.junit.Assert.assertNull(str14);
    }

    @Test
    public void test15() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test15");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.NavigableSet<java.lang.String> strSet7 = strSet2.headSet("", false);
        java.lang.String str8 = strSet2.last();
        java.lang.Object obj9 = strSet2.clone();
        java.lang.String str11 = strSet2.floor("");
        boolean boolean13 = strSet2.add("hi!");
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strSet7);
        org.junit.Assert.assertEquals("'" + str8 + "' != '" + "hi!" + "'", str8, "hi!");
        org.junit.Assert.assertNotNull(obj9);
        org.junit.Assert.assertEquals(obj9.toString(), "[hi!]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj9), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj9), "[hi!]");
        org.junit.Assert.assertNull(str11);
        org.junit.Assert.assertTrue("'" + boolean13 + "' != '" + false + "'", boolean13 == false);
    }

    @Test
    public void test16() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test16");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.lang.String[] strArray4 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet5 = new java.util.TreeSet<java.lang.String>();
        boolean boolean6 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet5, strArray4);
        int int7 = strSet5.size();
        java.util.NavigableSet<java.lang.String> strSet10 = strSet5.headSet("", false);
        java.lang.String str11 = strSet5.last();
        boolean boolean12 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet5);
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>((java.util.SortedSet<java.lang.String>) strSet5);
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strArray4);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + true + "'", boolean6 == true);
        org.junit.Assert.assertTrue("'" + int7 + "' != '" + 1 + "'", int7 == 1);
        org.junit.Assert.assertNotNull(strSet10);
        org.junit.Assert.assertEquals("'" + str11 + "' != '" + "hi!" + "'", str11, "hi!");
        org.junit.Assert.assertTrue("'" + boolean12 + "' != '" + false + "'", boolean12 == false);
    }

    @Test
    public void test17() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test17");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.lang.Object[] objArray5 = strSet0.toArray();
        java.lang.String str7 = strSet0.higher("hi!");
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(objArray5);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray5), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray5), "[hi!]");
        org.junit.Assert.assertNull(str7);
    }

    @Test
    public void test18() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test18");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.util.NavigableSet<java.lang.String> strSet5 = strSet0.tailSet("", false);
        java.lang.String[] strArray7 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet8 = new java.util.TreeSet<java.lang.String>();
        boolean boolean9 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet8, strArray7);
        int int10 = strSet8.size();
        java.util.NavigableSet<java.lang.String> strSet13 = strSet8.headSet("", false);
        java.lang.String str14 = strSet8.last();
        java.lang.Object obj15 = strSet8.clone();
        java.lang.String str17 = strSet8.floor("");
        int int18 = strSet8.size();
        boolean boolean19 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet8);
        java.lang.String str20 = strSet8.pollFirst();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertNotNull(strArray7);
        org.junit.Assert.assertTrue("'" + boolean9 + "' != '" + true + "'", boolean9 == true);
        org.junit.Assert.assertTrue("'" + int10 + "' != '" + 1 + "'", int10 == 1);
        org.junit.Assert.assertNotNull(strSet13);
        org.junit.Assert.assertEquals("'" + str14 + "' != '" + "hi!" + "'", str14, "hi!");
        org.junit.Assert.assertNotNull(obj15);
        org.junit.Assert.assertEquals(obj15.toString(), "[hi!]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj15), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj15), "[hi!]");
        org.junit.Assert.assertNull(str17);
        org.junit.Assert.assertTrue("'" + int18 + "' != '" + 1 + "'", int18 == 1);
        org.junit.Assert.assertTrue("'" + boolean19 + "' != '" + false + "'", boolean19 == false);
        org.junit.Assert.assertEquals("'" + str20 + "' != '" + "hi!" + "'", str20, "hi!");
    }

    @Test
    public void test19() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test19");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        boolean boolean4 = strSet0.add("");
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertTrue("'" + boolean4 + "' != '" + true + "'", boolean4 == true);
    }

    @Test
    public void test20() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test20");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.util.Iterator<java.lang.String> strItor3 = strSet1.iterator();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strItor3);
    }

    @Test
    public void test21() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test21");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        // The following exception was thrown during execution in test generation
        try {
            java.util.SortedSet<java.lang.String> strSet9 = strSet3.subSet("hi!", "");
            org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException; message: fromKey > toKey");
        } catch (java.lang.IllegalArgumentException e) {
        // Expected exception.
        }
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
    }

    @Test
    public void test22() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test22");
        java.lang.String[] strArray2 = new java.lang.String[] { "hi!", "hi!" };
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        boolean boolean4 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet3, strArray2);
        java.util.NavigableSet<java.lang.String> strSet9 = strSet3.subSet("", true, "", false);
        java.util.NavigableSet<java.lang.String> strSet12 = strSet3.tailSet("hi!", true);
        int int13 = strSet3.size();
        org.junit.Assert.assertNotNull(strArray2);
        org.junit.Assert.assertTrue("'" + boolean4 + "' != '" + true + "'", boolean4 == true);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertNotNull(strSet12);
        org.junit.Assert.assertTrue("'" + int13 + "' != '" + 1 + "'", int13 == 1);
    }

    @Test
    public void test23() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test23");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.util.NavigableSet<java.lang.String> strSet9 = strSet0.subSet("", false, "hi!", true);
        java.util.TreeSet<java.lang.String> strSet10 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet12 = strSet10.headSet("");
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet15 = strSet13.headSet("");
        boolean boolean16 = strSet10.retainAll((java.util.Collection<java.lang.String>) strSet13);
        java.lang.String str17 = strSet13.pollFirst();
        java.lang.String[] strArray21 = new java.lang.String[] { "hi!", "", "" };
        java.lang.String[] strArray22 = strSet13.toArray(strArray21);
        java.io.Serializable[] serializableArray23 = strSet0.toArray((java.io.Serializable[]) strArray21);
        boolean boolean25 = strSet0.add("hi!");
        java.lang.String str26 = strSet0.toString();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertNotNull(strSet12);
        org.junit.Assert.assertNotNull(strSet15);
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNull(str17);
        org.junit.Assert.assertNotNull(strArray21);
        org.junit.Assert.assertNotNull(strArray22);
        org.junit.Assert.assertNotNull(serializableArray23);
        org.junit.Assert.assertTrue("'" + boolean25 + "' != '" + false + "'", boolean25 == false);
        org.junit.Assert.assertEquals("'" + str26 + "' != '" + "[hi!]" + "'", str26, "[hi!]");
    }

    @Test
    public void test24() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test24");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet0);
        java.util.SortedSet<java.lang.String> strSet3 = strSet1.headSet("");
        boolean boolean5 = strSet1.add("hi!");
        org.junit.Assert.assertNotNull(strSet3);
        org.junit.Assert.assertTrue("'" + boolean5 + "' != '" + true + "'", boolean5 == true);
    }

    @Test
    public void test25() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test25");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.lang.Class<?> wildcardClass3 = strSet1.getClass();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(wildcardClass3);
    }

    @Test
    public void test26() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test26");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.util.NavigableSet<java.lang.String> strSet5 = strSet0.tailSet("", false);
        java.lang.String[] strArray7 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet8 = new java.util.TreeSet<java.lang.String>();
        boolean boolean9 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet8, strArray7);
        int int10 = strSet8.size();
        java.util.NavigableSet<java.lang.String> strSet13 = strSet8.headSet("", false);
        java.lang.String str14 = strSet8.last();
        java.lang.Object obj15 = strSet8.clone();
        java.lang.String str17 = strSet8.floor("");
        int int18 = strSet8.size();
        boolean boolean19 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet8);
        java.util.TreeSet<java.lang.String> strSet20 = new java.util.TreeSet<java.lang.String>();
        boolean boolean22 = strSet20.add("hi!");
        java.util.SortedSet<java.lang.String> strSet24 = strSet20.headSet("");
        java.util.NavigableSet<java.lang.String> strSet29 = strSet20.subSet("", false, "hi!", true);
        boolean boolean30 = strSet20.isEmpty();
        boolean boolean31 = strSet8.removeAll((java.util.Collection<java.lang.String>) strSet20);
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertNotNull(strArray7);
        org.junit.Assert.assertTrue("'" + boolean9 + "' != '" + true + "'", boolean9 == true);
        org.junit.Assert.assertTrue("'" + int10 + "' != '" + 1 + "'", int10 == 1);
        org.junit.Assert.assertNotNull(strSet13);
        org.junit.Assert.assertEquals("'" + str14 + "' != '" + "hi!" + "'", str14, "hi!");
        org.junit.Assert.assertNotNull(obj15);
        org.junit.Assert.assertEquals(obj15.toString(), "[hi!]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj15), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj15), "[hi!]");
        org.junit.Assert.assertNull(str17);
        org.junit.Assert.assertTrue("'" + int18 + "' != '" + 1 + "'", int18 == 1);
        org.junit.Assert.assertTrue("'" + boolean19 + "' != '" + false + "'", boolean19 == false);
        org.junit.Assert.assertTrue("'" + boolean22 + "' != '" + true + "'", boolean22 == true);
        org.junit.Assert.assertNotNull(strSet24);
        org.junit.Assert.assertNotNull(strSet29);
        org.junit.Assert.assertTrue("'" + boolean30 + "' != '" + false + "'", boolean30 == false);
        org.junit.Assert.assertTrue("'" + boolean31 + "' != '" + true + "'", boolean31 == true);
    }

    @Test
    public void test27() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test27");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.lang.String[] strArray8 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet9 = new java.util.TreeSet<java.lang.String>();
        boolean boolean10 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet9, strArray8);
        int int11 = strSet9.size();
        java.util.NavigableSet<java.lang.String> strSet14 = strSet9.headSet("", false);
        java.lang.String str15 = strSet9.last();
        boolean boolean16 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet9);
        java.lang.Class<?> wildcardClass17 = strSet0.getClass();
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strArray8);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + true + "'", boolean10 == true);
        org.junit.Assert.assertTrue("'" + int11 + "' != '" + 1 + "'", int11 == 1);
        org.junit.Assert.assertNotNull(strSet14);
        org.junit.Assert.assertEquals("'" + str15 + "' != '" + "hi!" + "'", str15, "hi!");
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNotNull(wildcardClass17);
    }

    @Test
    public void test28() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test28");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.lang.String[] strArray4 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet5 = new java.util.TreeSet<java.lang.String>();
        boolean boolean6 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet5, strArray4);
        int int7 = strSet5.size();
        java.util.NavigableSet<java.lang.String> strSet10 = strSet5.headSet("", false);
        java.lang.String str11 = strSet5.last();
        boolean boolean12 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet5);
        java.util.Spliterator<java.lang.String> strSpliterator13 = strSet5.spliterator();
        java.util.stream.Stream<java.lang.String> strStream14 = strSet5.stream();
        java.util.TreeSet<java.lang.String> strSet15 = new java.util.TreeSet<java.lang.String>();
        boolean boolean17 = strSet15.add("hi!");
        java.util.SortedSet<java.lang.String> strSet19 = strSet15.headSet("");
        java.util.NavigableSet<java.lang.String> strSet24 = strSet15.subSet("", false, "hi!", true);
        java.util.TreeSet<java.lang.String> strSet25 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet27 = strSet25.headSet("");
        java.util.TreeSet<java.lang.String> strSet28 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet30 = strSet28.headSet("");
        boolean boolean31 = strSet25.retainAll((java.util.Collection<java.lang.String>) strSet28);
        java.lang.String str32 = strSet28.pollFirst();
        java.lang.String[] strArray36 = new java.lang.String[] { "hi!", "", "" };
        java.lang.String[] strArray37 = strSet28.toArray(strArray36);
        java.io.Serializable[] serializableArray38 = strSet15.toArray((java.io.Serializable[]) strArray36);
        java.lang.Object[] objArray39 = strSet15.toArray();
        java.util.SortedSet<java.lang.String> strSet41 = strSet15.tailSet("");
        boolean boolean42 = strSet5.retainAll((java.util.Collection<java.lang.String>) strSet15);
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strArray4);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + true + "'", boolean6 == true);
        org.junit.Assert.assertTrue("'" + int7 + "' != '" + 1 + "'", int7 == 1);
        org.junit.Assert.assertNotNull(strSet10);
        org.junit.Assert.assertEquals("'" + str11 + "' != '" + "hi!" + "'", str11, "hi!");
        org.junit.Assert.assertTrue("'" + boolean12 + "' != '" + false + "'", boolean12 == false);
        org.junit.Assert.assertNotNull(strSpliterator13);
        org.junit.Assert.assertNotNull(strStream14);
        org.junit.Assert.assertTrue("'" + boolean17 + "' != '" + true + "'", boolean17 == true);
        org.junit.Assert.assertNotNull(strSet19);
        org.junit.Assert.assertNotNull(strSet24);
        org.junit.Assert.assertNotNull(strSet27);
        org.junit.Assert.assertNotNull(strSet30);
        org.junit.Assert.assertTrue("'" + boolean31 + "' != '" + false + "'", boolean31 == false);
        org.junit.Assert.assertNull(str32);
        org.junit.Assert.assertNotNull(strArray36);
        org.junit.Assert.assertNotNull(strArray37);
        org.junit.Assert.assertNotNull(serializableArray38);
        org.junit.Assert.assertNotNull(objArray39);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray39), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray39), "[hi!]");
        org.junit.Assert.assertNotNull(strSet41);
        org.junit.Assert.assertTrue("'" + boolean42 + "' != '" + false + "'", boolean42 == false);
    }

    @Test
    public void test29() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test29");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet0);
        boolean boolean3 = strSet0.contains((java.lang.Object) true);
        // The following exception was thrown during execution in test generation
        try {
            java.util.SortedSet<java.lang.String> strSet6 = strSet0.subSet("hi!", "");
            org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException; message: fromKey > toKey");
        } catch (java.lang.IllegalArgumentException e) {
        // Expected exception.
        }
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + false + "'", boolean3 == false);
    }

    @Test
    public void test30() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test30");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.NavigableSet<java.lang.String> strSet7 = strSet2.headSet("", false);
        java.lang.String str8 = strSet2.last();
        java.lang.Object obj9 = strSet2.clone();
        java.lang.String str11 = strSet2.floor("");
        java.util.TreeSet<java.lang.String> strSet12 = new java.util.TreeSet<java.lang.String>();
        boolean boolean14 = strSet12.add("hi!");
        java.util.SortedSet<java.lang.String> strSet16 = strSet12.headSet("");
        boolean boolean17 = strSet2.retainAll((java.util.Collection<java.lang.String>) strSet16);
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strSet7);
        org.junit.Assert.assertEquals("'" + str8 + "' != '" + "hi!" + "'", str8, "hi!");
        org.junit.Assert.assertNotNull(obj9);
        org.junit.Assert.assertEquals(obj9.toString(), "[hi!]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj9), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj9), "[hi!]");
        org.junit.Assert.assertNull(str11);
        org.junit.Assert.assertTrue("'" + boolean14 + "' != '" + true + "'", boolean14 == true);
        org.junit.Assert.assertNotNull(strSet16);
        org.junit.Assert.assertTrue("'" + boolean17 + "' != '" + true + "'", boolean17 == true);
    }

    @Test
    public void test31() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test31");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet0);
        boolean boolean3 = strSet0.contains((java.lang.Object) true);
        java.util.TreeSet<java.lang.String> strSet4 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet5 = new java.util.TreeSet<java.lang.String>();
        boolean boolean6 = strSet4.removeAll((java.util.Collection<java.lang.String>) strSet5);
        java.util.NavigableSet<java.lang.String> strSet9 = strSet4.tailSet("", false);
        boolean boolean10 = strSet0.contains((java.lang.Object) "");
        java.lang.String[] strArray12 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>();
        boolean boolean14 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet13, strArray12);
        int int15 = strSet13.size();
        boolean boolean16 = strSet13.isEmpty();
        java.util.NavigableSet<java.lang.String> strSet17 = strSet13.descendingSet();
        boolean boolean18 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet17);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + false + "'", boolean3 == false);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + false + "'", boolean10 == false);
        org.junit.Assert.assertNotNull(strArray12);
        org.junit.Assert.assertTrue("'" + boolean14 + "' != '" + true + "'", boolean14 == true);
        org.junit.Assert.assertTrue("'" + int15 + "' != '" + 1 + "'", int15 == 1);
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNotNull(strSet17);
        org.junit.Assert.assertTrue("'" + boolean18 + "' != '" + false + "'", boolean18 == false);
    }

    @Test
    public void test32() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test32");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.NavigableSet<java.lang.String> strSet7 = strSet2.headSet("", false);
        java.lang.String str8 = strSet2.last();
        java.lang.Object obj9 = strSet2.clone();
        java.lang.String str11 = strSet2.floor("");
        boolean boolean12 = strSet2.isEmpty();
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strSet7);
        org.junit.Assert.assertEquals("'" + str8 + "' != '" + "hi!" + "'", str8, "hi!");
        org.junit.Assert.assertNotNull(obj9);
        org.junit.Assert.assertEquals(obj9.toString(), "[hi!]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj9), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj9), "[hi!]");
        org.junit.Assert.assertNull(str11);
        org.junit.Assert.assertTrue("'" + boolean12 + "' != '" + false + "'", boolean12 == false);
    }

    @Test
    public void test33() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test33");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet0);
        java.util.stream.Stream<java.lang.String> strStream2 = strSet1.parallelStream();
        org.junit.Assert.assertNotNull(strStream2);
    }

    @Test
    public void test34() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test34");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.lang.String str7 = strSet3.pollFirst();
        java.lang.String[] strArray11 = new java.lang.String[] { "hi!", "", "" };
        java.lang.String[] strArray12 = strSet3.toArray(strArray11);
        java.util.Iterator<java.lang.String> strItor13 = strSet3.iterator();
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNull(str7);
        org.junit.Assert.assertNotNull(strArray11);
        org.junit.Assert.assertNotNull(strArray12);
        org.junit.Assert.assertNotNull(strItor13);
    }

    @Test
    public void test35() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test35");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.util.NavigableSet<java.lang.String> strSet9 = strSet0.subSet("", false, "hi!", true);
        java.util.TreeSet<java.lang.String> strSet10 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet12 = strSet10.headSet("");
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet15 = strSet13.headSet("");
        boolean boolean16 = strSet10.retainAll((java.util.Collection<java.lang.String>) strSet13);
        java.lang.String str17 = strSet13.pollFirst();
        java.lang.String[] strArray21 = new java.lang.String[] { "hi!", "", "" };
        java.lang.String[] strArray22 = strSet13.toArray(strArray21);
        java.io.Serializable[] serializableArray23 = strSet0.toArray((java.io.Serializable[]) strArray21);
        java.lang.Object[] objArray24 = strSet0.toArray();
        java.util.SortedSet<java.lang.String> strSet26 = strSet0.tailSet("");
        java.util.Comparator<? super java.lang.String> wildcardComparator27 = strSet0.comparator();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertNotNull(strSet12);
        org.junit.Assert.assertNotNull(strSet15);
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNull(str17);
        org.junit.Assert.assertNotNull(strArray21);
        org.junit.Assert.assertNotNull(strArray22);
        org.junit.Assert.assertNotNull(serializableArray23);
        org.junit.Assert.assertNotNull(objArray24);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray24), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray24), "[hi!]");
        org.junit.Assert.assertNotNull(strSet26);
        org.junit.Assert.assertNull(wildcardComparator27);
    }

    @Test
    public void test36() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test36");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.lang.String[] strArray8 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet9 = new java.util.TreeSet<java.lang.String>();
        boolean boolean10 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet9, strArray8);
        int int11 = strSet9.size();
        java.util.NavigableSet<java.lang.String> strSet14 = strSet9.headSet("", false);
        java.lang.String str15 = strSet9.last();
        boolean boolean16 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet9);
        java.util.SortedSet<java.lang.String> strSet19 = strSet0.subSet("", "[hi!]");
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strArray8);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + true + "'", boolean10 == true);
        org.junit.Assert.assertTrue("'" + int11 + "' != '" + 1 + "'", int11 == 1);
        org.junit.Assert.assertNotNull(strSet14);
        org.junit.Assert.assertEquals("'" + str15 + "' != '" + "hi!" + "'", str15, "hi!");
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNotNull(strSet19);
    }

    @Test
    public void test37() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test37");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.util.Iterator<java.lang.String> strItor7 = strSet3.descendingIterator();
        java.util.Iterator<java.lang.String> strItor8 = strSet3.descendingIterator();
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strItor7);
        org.junit.Assert.assertNotNull(strItor8);
    }

    @Test
    public void test38() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test38");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet1);
        java.util.NavigableSet<java.lang.String> strSet5 = strSet0.tailSet("", false);
        boolean boolean6 = strSet0.isEmpty();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + false + "'", boolean2 == false);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + true + "'", boolean6 == true);
    }

    @Test
    public void test39() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test39");
        java.lang.String[] strArray3 = new java.lang.String[] { "hi!", "hi!", "[hi!]" };
        java.util.TreeSet<java.lang.String> strSet4 = new java.util.TreeSet<java.lang.String>();
        boolean boolean5 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet4, strArray3);
        java.lang.String str7 = strSet4.ceiling("");
        org.junit.Assert.assertNotNull(strArray3);
        org.junit.Assert.assertTrue("'" + boolean5 + "' != '" + true + "'", boolean5 == true);
        org.junit.Assert.assertEquals("'" + str7 + "' != '" + "[hi!]" + "'", str7, "[hi!]");
    }

    @Test
    public void test40() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test40");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.util.NavigableSet<java.lang.String> strSet9 = strSet0.subSet("", false, "hi!", true);
        boolean boolean10 = strSet0.isEmpty();
        java.util.TreeSet<java.lang.String> strSet11 = new java.util.TreeSet<java.lang.String>();
        boolean boolean13 = strSet11.add("hi!");
        java.util.SortedSet<java.lang.String> strSet15 = strSet11.headSet("");
        java.util.NavigableSet<java.lang.String> strSet20 = strSet11.subSet("", false, "hi!", true);
        boolean boolean21 = strSet0.removeAll((java.util.Collection<java.lang.String>) strSet11);
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + false + "'", boolean10 == false);
        org.junit.Assert.assertTrue("'" + boolean13 + "' != '" + true + "'", boolean13 == true);
        org.junit.Assert.assertNotNull(strSet15);
        org.junit.Assert.assertNotNull(strSet20);
        org.junit.Assert.assertTrue("'" + boolean21 + "' != '" + true + "'", boolean21 == true);
    }

    @Test
    public void test41() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test41");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.util.NavigableSet<java.lang.String> strSet9 = strSet0.subSet("", false, "hi!", true);
        java.util.SortedSet<java.lang.String> strSet11 = strSet0.headSet("");
        java.lang.String str12 = strSet0.last();
        java.lang.Class<?> wildcardClass13 = strSet0.getClass();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertNotNull(strSet11);
        org.junit.Assert.assertEquals("'" + str12 + "' != '" + "hi!" + "'", str12, "hi!");
        org.junit.Assert.assertNotNull(wildcardClass13);
    }

    @Test
    public void test42() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test42");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.stream.Stream<java.lang.String> strStream5 = strSet2.stream();
        java.util.Iterator<java.lang.String> strItor6 = strSet2.iterator();
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strStream5);
        org.junit.Assert.assertNotNull(strItor6);
    }

    @Test
    public void test43() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test43");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.lang.String str2 = strSet0.higher("");
        org.junit.Assert.assertNull(str2);
    }

    @Test
    public void test44() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test44");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.lang.Object[] objArray5 = strSet0.toArray();
        java.util.Iterator<java.lang.String> strItor6 = strSet0.descendingIterator();
        java.lang.String str7 = strSet0.first();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(objArray5);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray5), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray5), "[hi!]");
        org.junit.Assert.assertNotNull(strItor6);
        org.junit.Assert.assertEquals("'" + str7 + "' != '" + "hi!" + "'", str7, "hi!");
    }

    @Test
    public void test45() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test45");
        java.lang.String[] strArray1 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet2 = new java.util.TreeSet<java.lang.String>();
        boolean boolean3 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet2, strArray1);
        int int4 = strSet2.size();
        java.util.NavigableSet<java.lang.String> strSet7 = strSet2.headSet("", false);
        java.lang.String str8 = strSet2.last();
        java.lang.Object obj9 = strSet2.clone();
        boolean boolean11 = strSet2.add("hi!");
        java.util.TreeSet<java.lang.String> strSet12 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet14 = strSet12.headSet("");
        java.util.TreeSet<java.lang.String> strSet15 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet17 = strSet15.headSet("");
        boolean boolean18 = strSet12.retainAll((java.util.Collection<java.lang.String>) strSet15);
        java.lang.String str19 = strSet15.pollFirst();
        boolean boolean20 = strSet2.containsAll((java.util.Collection<java.lang.String>) strSet15);
        org.junit.Assert.assertNotNull(strArray1);
        org.junit.Assert.assertTrue("'" + boolean3 + "' != '" + true + "'", boolean3 == true);
        org.junit.Assert.assertTrue("'" + int4 + "' != '" + 1 + "'", int4 == 1);
        org.junit.Assert.assertNotNull(strSet7);
        org.junit.Assert.assertEquals("'" + str8 + "' != '" + "hi!" + "'", str8, "hi!");
        org.junit.Assert.assertNotNull(obj9);
        org.junit.Assert.assertEquals(obj9.toString(), "[hi!]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj9), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj9), "[hi!]");
        org.junit.Assert.assertTrue("'" + boolean11 + "' != '" + false + "'", boolean11 == false);
        org.junit.Assert.assertNotNull(strSet14);
        org.junit.Assert.assertNotNull(strSet17);
        org.junit.Assert.assertTrue("'" + boolean18 + "' != '" + false + "'", boolean18 == false);
        org.junit.Assert.assertNull(str19);
        org.junit.Assert.assertTrue("'" + boolean20 + "' != '" + true + "'", boolean20 == true);
    }

    @Test
    public void test46() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test46");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.util.NavigableSet<java.lang.String> strSet9 = strSet0.subSet("", false, "hi!", true);
        boolean boolean10 = strSet0.isEmpty();
        java.lang.String[] strArray12 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet13 = new java.util.TreeSet<java.lang.String>();
        boolean boolean14 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet13, strArray12);
        int int15 = strSet13.size();
        boolean boolean16 = strSet13.isEmpty();
        strSet13.clear();
        java.lang.Object obj18 = strSet13.clone();
        boolean boolean19 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet13);
        java.lang.String str20 = strSet13.toString();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(strSet9);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + false + "'", boolean10 == false);
        org.junit.Assert.assertNotNull(strArray12);
        org.junit.Assert.assertTrue("'" + boolean14 + "' != '" + true + "'", boolean14 == true);
        org.junit.Assert.assertTrue("'" + int15 + "' != '" + 1 + "'", int15 == 1);
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNotNull(obj18);
        org.junit.Assert.assertEquals(obj18.toString(), "[]");
        org.junit.Assert.assertEquals(java.lang.String.valueOf(obj18), "[]");
        org.junit.Assert.assertEquals(java.util.Objects.toString(obj18), "[]");
        org.junit.Assert.assertTrue("'" + boolean19 + "' != '" + true + "'", boolean19 == true);
        org.junit.Assert.assertEquals("'" + str20 + "' != '" + "[]" + "'", str20, "[]");
    }

    @Test
    public void test47() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test47");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.lang.String[] strArray8 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet9 = new java.util.TreeSet<java.lang.String>();
        boolean boolean10 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet9, strArray8);
        int int11 = strSet9.size();
        java.util.NavigableSet<java.lang.String> strSet14 = strSet9.headSet("", false);
        java.lang.String str15 = strSet9.last();
        boolean boolean16 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet9);
        boolean boolean18 = strSet9.equals((java.lang.Object) 1);
        java.util.TreeSet<java.lang.String> strSet19 = new java.util.TreeSet<java.lang.String>();
        boolean boolean21 = strSet19.add("hi!");
        java.util.SortedSet<java.lang.String> strSet23 = strSet19.headSet("");
        boolean boolean25 = strSet19.equals((java.lang.Object) 10);
        // The following exception was thrown during execution in test generation
        try {
            boolean boolean26 = strSet9.remove((java.lang.Object) boolean25);
            org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException; message: java.lang.String cannot be cast to java.lang.Boolean");
        } catch (java.lang.ClassCastException e) {
        // Expected exception.
        }
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strArray8);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + true + "'", boolean10 == true);
        org.junit.Assert.assertTrue("'" + int11 + "' != '" + 1 + "'", int11 == 1);
        org.junit.Assert.assertNotNull(strSet14);
        org.junit.Assert.assertEquals("'" + str15 + "' != '" + "hi!" + "'", str15, "hi!");
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertTrue("'" + boolean18 + "' != '" + false + "'", boolean18 == false);
        org.junit.Assert.assertTrue("'" + boolean21 + "' != '" + true + "'", boolean21 == true);
        org.junit.Assert.assertNotNull(strSet23);
        org.junit.Assert.assertTrue("'" + boolean25 + "' != '" + false + "'", boolean25 == false);
    }

    @Test
    public void test48() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test48");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.lang.String[] strArray8 = new java.lang.String[] { "hi!" };
        java.util.TreeSet<java.lang.String> strSet9 = new java.util.TreeSet<java.lang.String>();
        boolean boolean10 = java.util.Collections.addAll((java.util.Collection<java.lang.String>) strSet9, strArray8);
        int int11 = strSet9.size();
        java.util.NavigableSet<java.lang.String> strSet14 = strSet9.headSet("", false);
        java.lang.String str15 = strSet9.last();
        boolean boolean16 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet9);
        java.util.TreeSet<java.lang.String> strSet17 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet9);
        java.util.NavigableSet<java.lang.String> strSet22 = strSet17.subSet("hi!", true, "hi!", false);
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strArray8);
        org.junit.Assert.assertTrue("'" + boolean10 + "' != '" + true + "'", boolean10 == true);
        org.junit.Assert.assertTrue("'" + int11 + "' != '" + 1 + "'", int11 == 1);
        org.junit.Assert.assertNotNull(strSet14);
        org.junit.Assert.assertEquals("'" + str15 + "' != '" + "hi!" + "'", str15, "hi!");
        org.junit.Assert.assertTrue("'" + boolean16 + "' != '" + false + "'", boolean16 == false);
        org.junit.Assert.assertNotNull(strSet22);
    }

    @Test
    public void test49() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test49");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet2 = strSet0.headSet("");
        java.util.TreeSet<java.lang.String> strSet3 = new java.util.TreeSet<java.lang.String>();
        java.util.SortedSet<java.lang.String> strSet5 = strSet3.headSet("");
        boolean boolean6 = strSet0.retainAll((java.util.Collection<java.lang.String>) strSet3);
        java.util.SortedSet<java.lang.String> strSet8 = strSet0.tailSet("hi!");
        java.util.TreeSet<java.lang.String> strSet9 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet10 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet9);
        boolean boolean11 = strSet0.containsAll((java.util.Collection<java.lang.String>) strSet10);
        java.util.stream.Stream<java.lang.String> strStream12 = strSet0.stream();
        org.junit.Assert.assertNotNull(strSet2);
        org.junit.Assert.assertNotNull(strSet5);
        org.junit.Assert.assertTrue("'" + boolean6 + "' != '" + false + "'", boolean6 == false);
        org.junit.Assert.assertNotNull(strSet8);
        org.junit.Assert.assertTrue("'" + boolean11 + "' != '" + true + "'", boolean11 == true);
        org.junit.Assert.assertNotNull(strStream12);
    }

    @Test
    public void test50() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test50");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        boolean boolean2 = strSet0.add("hi!");
        java.util.SortedSet<java.lang.String> strSet4 = strSet0.headSet("");
        java.lang.Object[] objArray5 = strSet0.toArray();
        java.util.Spliterator<java.lang.String> strSpliterator6 = strSet0.spliterator();
        org.junit.Assert.assertTrue("'" + boolean2 + "' != '" + true + "'", boolean2 == true);
        org.junit.Assert.assertNotNull(strSet4);
        org.junit.Assert.assertNotNull(objArray5);
        org.junit.Assert.assertEquals(java.util.Arrays.deepToString(objArray5), "[hi!]");
        org.junit.Assert.assertEquals(java.util.Arrays.toString(objArray5), "[hi!]");
        org.junit.Assert.assertNotNull(strSpliterator6);
    }

    @Test
    public void test51() throws Throwable {
        if (debug)
            System.out.format("%n%s%n", "RegressionTest0.test51");
        java.util.TreeSet<java.lang.String> strSet0 = new java.util.TreeSet<java.lang.String>();
        java.util.TreeSet<java.lang.String> strSet1 = new java.util.TreeSet<java.lang.String>((java.util.Collection<java.lang.String>) strSet0);
        java.util.SortedSet<java.lang.String> strSet3 = strSet1.headSet("");
        java.lang.String str5 = strSet1.lower("[hi!]");
        org.junit.Assert.assertNotNull(strSet3);
        org.junit.Assert.assertNull(str5);
    }
}

